ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

InteractiveEvalTypes

# Documentation

data RunResult

Constructors

RunOk [Name] | names bound by this evaluation
RunException SomeException | statement raised an exception
RunBreak ThreadId [Name] (Maybe BreakInfo) |

data Status

Constructors

Break Bool HValue BreakInfo ThreadId | the computation hit a breakpoint (Bool = was an exception)
Complete (Either SomeException [HValue]) | the computation completed with either an exception or a value

data Resume

Constructors

Resume |

Fields

resumeStmt :: String
resumeThreadId :: ThreadId
resumeBreakMVar :: MVar ()
resumeStatMVar :: MVar Status
resumeBindings :: ([TyThing], GlobalRdrEnv)
resumeFinalIds :: [Id]
resumeApStack :: HValue
resumeBreakInfo :: Maybe BreakInfo
resumeSpan :: SrcSpan
resumeHistory :: [History]
resumeHistoryIx :: Int

data History

Constructors

History |

Fields

historyApStack :: HValue
historyBreakInfo :: BreakInfo
historyEnclosingDecls :: [String]